ArrayUtils (Mule ESB 2.2.1 API)
Keywords: org.mule.util.ArrayUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class ArrayUtils

    java.lang.Object
      org.apache.commons.lang.ArrayUtils
          org.mule.util.ArrayUtils

    public class ArrayUtils

extends ArrayUtils

Field Summary

Fields inherited from class org.apache.commons.lang.ArrayUtils
`EMPTY_BOOLEAN_ARRAY, EMPTY_BOOLEAN_OBJECT_ARRAY, EMPTY_BYTE_ARRAY, EMPTY_BYTE_OBJECT_ARRAY, EMPTY_CHAR_ARRAY, EMPTY_CHARACTER_OBJECT_ARRAY, EMPTY_CLASS_ARRAY, EMPTY_DOUBLE_ARRAY, EMPTY_DOUBLE_OBJECT_ARRAY, EMPTY_FLOAT_ARRAY, EMPTY_FLOAT_OBJECT_ARRAY, EMPTY_INT_ARRAY, EMPTY_INTEGER_OBJECT_ARRAY, EMPTY_LONG_ARRAY, EMPTY_LONG_OBJECT_ARRAY, EMPTY_OBJECT_ARRAY, EMPTY_SHORT_ARRAY, EMPTY_SHORT_OBJECT_ARRAY, EMPTY_STRING_ARRAY, INDEX_NOT_FOUND`

Constructor Summary
`ArrayUtils()`

Method Summary
`static Object[]` | `setDifference(Object[] a, Object[] b)`
`static String[]` | `setDifference(String[] a, String[] b)`
`static Object[]` | `toArrayOfComponentType(Object[] objects, Class clazz)` Creates a copy of the given array, but with the given `Class` as element type.
`static String` | `toString(Object array, int maxElements)` Like `ArrayUtils.toString(Object)` but considers at most `maxElements` values; overflow is indicated by an appended "[..]" ellipsis.

Methods inherited from class org.apache.commons.lang.ArrayUtils
`add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, addAll, addAll, addAll, addAll, addAll, addAll, addAll, addAll, addAll, clone, clone, clone, clone, clone, clone, clone, clone, clone, contains, contains, contains, contains, contains, contains, contains, contains, contains, contains, getLength, hashCode, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, indexOf, isEmpty, isEmpty, isEmpty, isEmpty, isEmpty, isEmpty, isEmpty, isEmpty, isEmpty, isEquals, isSameLength, isSameLength, isSameLength, isSameLength, isSameLength, isSameLength, isSameLength, isSameLength, isSameLength, isSameType, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, remove, remove, remove, remove, remove, remove, remove, remove, remove, removeElement, removeElement, removeElement, removeElement, removeElement, removeElement, removeElement, removeElement, removeElement, reverse, reverse, reverse, reverse, reverse, reverse, reverse, reverse, reverse, subarray, subarray, subarray, subarray, subarray, subarray, subarray, subarray, subarray, toMap, toObject, toObject, toObject, toObject, toObject, toObject, toObject, toObject, toPrimitive, toPrimitive, toPrimitive, toPrimitive, toPrimitive, toPrimitive, toPrimitive, toPrimitive, toPrimitive, toPrimitive, toPrimitive, toPrimitive, toPrimitive, toPrimitive, toPrimitive, toPrimitive, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayUtils

    public ArrayUtils()

Method Detail

### toString

    public static String toString(Object array,
                                  int maxElements)

  Like `ArrayUtils.toString(Object)` but considers at most `maxElements` values; overflow is indicated by an appended "[..]" ellipsis.

### toArrayOfComponentType

    public static Object[] toArrayOfComponentType(Object[] objects,
                                                  Class clazz)

  Creates a copy of the given array, but with the given `Class` as element type. Useful for arrays of objects that implement multiple interfaces and a "typed view" onto these objects is required.

  Parameters:
    `objects` - the array of objects
    `clazz` - the desired service type of the new array
  Returns:
    `null` when objects is `null`, or a new array containing the elements of the source array which is typed to the given `clazz` parameter. If `clazz` is already the service type of the source array, the source array is returned (i.e. no copy is created).
  Throws:
    `IllegalArgumentException` - if the `clazz` argument is `null`.
    `ArrayStoreException` - if the elements in `objects` cannot be cast to `clazz`.

### setDifference

    public static Object[] setDifference(Object[] a,
                                         Object[] b)

### setDifference

    public static String[] setDifference(String[] a,
                                         String[] b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.